< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package calculations
  Definition Classes
    ct600
- AccountingPeriodHelper
- AllCtConstants
- CorporationTaxCalculatorParameters
- Ct600AnnualConstants
- CtConstants
- HmrcValueApportioning
- InvalidAccountingPeriodException
- NINonTradingProfitCalculationParameters
- NITradingProfitCalculationParameters
- NorthernIrelandRate
- PeriodOfAccountsCalculator
- RateFromString
- TaxYear
- UnifiedRateOfTax

o

uk.gov.hmrc.ct.ct600.calculations

# HmrcValueApportioning 

###
Companion trait HmrcValueApportioning

#### object HmrcValueApportioning extends HmrcValueApportioning

Linear Supertypes
HmrcValueApportioning, AccountingPeriodHelper, NumberRounding, CtTypeConverters, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HmrcValueApportioning
2. HmrcValueApportioning
3. AccountingPeriodHelper
4. NumberRounding
5. CtTypeConverters
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def accountingPeriodDaysInFinancialYear(year: Int, accountingPeriod: HmrcAccountingPeriod): BigDecimal
   Definition Classes
     AccountingPeriodHelper
5.  def accountingPeriodSpansTwoFinancialYears(accountingPeriod: HmrcAccountingPeriod): Boolean
   Definition Classes
     AccountingPeriodHelper
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def calculateApportionedProfitsChargeableFy1(params: CorporationTaxCalculatorParameters): Int
   Definition Classes
     HmrcValueApportioning
8.  def calculateApportionedProfitsChargeableFy2(params: CorporationTaxCalculatorParameters): Int
   Definition Classes
     HmrcValueApportioning
9.  def calculateApportionedValueForYear(financialYear: Int, valueBeingApportioned: Int, accountingPeriod: HmrcAccountingPeriod): BigDecimal
   Definition Classes
     HmrcValueApportioning
10.  def calculateApportionedValuesForAccountingPeriod(valueBeingApportioned: Int, accountingPeriod: HmrcAccountingPeriod): Map[TaxYear, Int]
    Definition Classes
      HmrcValueApportioning
11.  def calculateNIApportionedNonTradingProfitsChargeableFy1(params: NINonTradingProfitCalculationParameters): Int
    Definition Classes
      HmrcValueApportioning
12.  def calculateNIApportionedNonTradingProfitsChargeableFy2(params: NINonTradingProfitCalculationParameters): Int
    Definition Classes
      HmrcValueApportioning
13.  def calculateNIApportionedTradingProfitsChargeableFy1(params: NITradingProfitCalculationParameters): Int
    Definition Classes
      HmrcValueApportioning
14.  def calculateNIApportionedTradingProfitsChargeableFy2(params: NITradingProfitCalculationParameters): Int
    Definition Classes
      HmrcValueApportioning
15.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
16.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
    Definition Classes
      CtTypeConverters
17.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
18.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
19.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
20.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
21.  def daysBetween(start: LocalDate, end: LocalDate): Int
    Definition Classes
      AccountingPeriodHelper
22.  def daysInAccountingPeriod(accountingPeriod: HmrcAccountingPeriod): Int
    Definition Classes
      AccountingPeriodHelper
23.  def endingFinancialYear(date: EndDate): Int
    Definition Classes
      AccountingPeriodHelper
24.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
26.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
27.  def financialYearForDate(date: LocalDate): Int
    Definition Classes
      AccountingPeriodHelper
28.  def financialYearStartingIn(year: Int): (LocalDate, LocalDate)
    Definition Classes
      AccountingPeriodHelper
29.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  def roundedToInt(value: BigDecimal): Int
    Definition Classes
      NumberRounding
36.  def roundedToIntHalfDown(value: BigDecimal): Int
    Definition Classes
      NumberRounding
37.  def roundedToIntHalfUp(value: BigDecimal): Int
    Definition Classes
      NumberRounding
38.  def roundedTwoDecimalPlaces(value: BigDecimal): BigDecimal
    Definition Classes
      NumberRounding
39.  def startingFinancialYear(date: StartDate): Int
    Definition Classes
      AccountingPeriodHelper
40.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
41.  def toString(): String
    Definition Classes
      AnyRef → Any
42.  def validateAccountingPeriod(accountingPeriod: HmrcAccountingPeriod): Unit
    Definition Classes
      AccountingPeriodHelper
43.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
45.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from HmrcValueApportioning

### Inherited from AccountingPeriodHelper

### Inherited from NumberRounding

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped